@charset "UTF-8";
/* ---------------------------------------------------------
  ボタンパーツ
--------------------------------------------------------- */

.c-button {
  line-height: 1.5;
  background: var(--accent);
  display: inline-block;
  width: 100%;
  max-width: 380px;
  padding: 24px calc(24px + 24px + 8px) 24px 40px;
  border: none;
  border-radius: 0.3rem;
  position: relative;
  cursor: pointer;
  appearance: none;
}

a.c-button {
  color: var(--bg);
  text-decoration: none;
  display: block;
}

.c-button::after {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background-image: url("../images/icon_arrow_right_wh.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  top: 50%;
  right: 24px;
  transform: translateY(-50%);
  transition: 0.3s all ease-in-out;
}

.c-button:hover::after {
  transform: translate(8px, -50%);
}

/* ---------------------------------------------------------
  アイコン付き日付 パーツ
--------------------------------------------------------- */

.c-iconText {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0.5em;
}

.c-iconText__icon {
  width: 1.25em;
  height: 1.25em;
}

/* ---------------------------------------------------------
  お知らせパーツ
--------------------------------------------------------- */
.c-newsList {
  list-style: none;
  padding: 0;
  margin: 0;
}
/* トップページのcssによる影響回避 */
main dt:first-child,
main dd:nth-child(2) {
  border-top: none;
}

.c-newsList > .c-newsList__item:first-child dl dt,
.c-newsList > .c-newsList__item:first-child dl dd {
  border-top: 0.1rem dotted var(--border);
}

.c-newsList > .c-newsList__item:first-child dl dd {
  padding-right: 3.6rem;
}

.c-newsList__itemInner {
  display: block;
  padding: 0.9rem 0;
}

.c-newsList__contents {
  display: block;
  position: relative;
}

a.c-newsList__contents {
  transition: 0.3s all ease-in-out;
}

a.c-newsList__contents:hover {
  opacity: 0.9;
}

.c-newsList__head {
  display: flex;
  align-items: center;
}

.c-newsList__date {
  display: inline-block;
}

/* 内部リンクありのアイコン */
a.c-newsList__contents::after {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background-image: url("../images/icon_arrow_right_bk.svg");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

/* 外部リンクありのアイコン */
a[target="_blank"].c-newsList__contents::after {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  background-image: url("../images/icon_external_link_bk.svg");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  top: 50%;
  right: 8px;
  transform: translateY(-50%);
}

@media screen and (max-width: 767px) {
  /* （ここにモバイル用スタイルを記述） */
  a.c-newsList__contents::after {
    top: 75%;
  }

  a[target="_blank"].c-newsList__contents::after {
    top: 75%;
  }
}

/* ---------------------------------------------------------
  投稿 スタイル
--------------------------------------------------------- */

/* 最初の要素だけ上部余白を適用しない */
#js-post > :first-child {
  margin-top: 0;
}

article header {
  margin-bottom: 4.5rem;
  padding: 1.8rem 0.9rem;
  background: var(--accent-bg);
  border-radius: 0.3rem;
}

.p-newsPostDate {
  display: flex;
  align-items: center;
  gap: 1.8rem;
  font-size: 1.6rem;
}

/*
  見出し
---------------------------------------------- */
h1#js-postTitle.p-newsPostTitle {
  font-size: 3.2rem;
  font-weight: normal;
  margin-bottom: 0.9rem;
}

.c-post .c-postEditor h2 {
  margin-top: 3.6rem;
  margin-bottom: 1.8rem;
}

.c-post .c-postEditor h3 {
  margin-top: 1.8rem;
  margin-bottom: 1.8rem;
}

.c-post .c-postEditor h4 {
  margin-top: 1.8em;
  margin-bottom: 0.9rem;
}

/*
  段落
---------------------------------------------- */
.c-post .c-postEditor p {
  margin-top: 0.45rem;
  margin-bottom: 1.8rem;
}

/*
  画像
---------------------------------------------- */
.c-post .c-postEditor img {
  max-width: 100%;
  width: auto;
  box-shadow: 0 0 8px rgb(0 0 0 / 10%);
  border-radius: 0.3rem;
}

/*
  テーブル
---------------------------------------------- */
.c-post .c-postEditor table {
  margin-top: 3.6rem;
  margin-bottom: 3.6rem;
  border-collapse: collapse;
  overflow-x: scroll;
  display: block;
  padding-bottom: 1.8rem;
}

.c-post .c-postEditor th,
.c-post .c-postEditor td {
  padding: 0.9rem 1.8rem;
  border: 0.1rem solid var(--border);
}

.c-post .c-postEditor tr:first-child th {
  color: var(--bg);
  background-color: var(--accent);
}

.c-post .c-postEditor th {
  color: var(--bg);
  background-color: var(--accent);
  min-width: 27rem;
}

.c-post .c-postEditor table p {
  margin: 0;
}

/*
  下線マーカー風
---------------------------------------------- */
u {
  text-decoration: none;
  background: linear-gradient(transparent 50%, #ffdfef 50%);
}

/*
  テキストリンク
---------------------------------------------- */
.c-post .c-postEditor a {
  text-decoration: underline;
}

.c-post .c-postEditor a[target="_blank"] {
  display: inline-block;
  padding-right: calc(4px + 1em + 4px);
  position: relative;
  margin: 0.45rem;
}

.c-post .c-postEditor a[target="_blank"]::after {
  content: "";
  display: inline-block;
  width: 1em;
  height: 1em;
  background-image: url("../images/icon_external_link_bk.svg");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  top: calc(1em * 1.7 / 2);
  transform: translateY(-50%);
  right: 4px;
}

/*
  区切り線
---------------------------------------------- */
.c-post .c-postEditor hr {
  height: 0;
  border-top: 1px solid var(--border);
  border-right: 0;
  border-bottom: 0;
  border-left: 0;
  margin-top: 3.6rem;
  margin-bottom: 3.6rem;
}

/* ---------------------------------------------------------
  ページネーション パーツ
--------------------------------------------------------- */
.c-pagination {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}

.c-pagination__link {
  width: 3.6rem;
  height: 3.6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 2px;
  transition: 0.3s all ease-in-out;
}

.c-pagination__link.number:hover {
  color: var(--bg);
  font-weight: 900;
  background-color: var(--accent);
}

.c-pagination__link.is-current {
  color: var(--bg);
  font-weight: 900;
  background-color: var(--accent);
}

/* ---------------------------------------------------------
  スクリーンリーダー
--------------------------------------------------------- */

.u-screenReaderText {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

/* ---------------------------------------------------------
  テキストリンク ユーティリティ
  - 下線
  - 新しいタブで開く
--------------------------------------------------------- */

/* 下線 */
.u-link-underline {
  text-decoration: underline;
}

/* 新しいタブで開く */
.u-link-external {
  text-decoration: underline;
  display: inline-block;
  padding-right: calc(4px + 0.875em + 4px);
  position: relative;
}

.u-link-external::after {
  content: "";
  display: inline-block;
  width: 0.875em;
  height: 0.875em;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIHZpZXdCb3g9IjAgMCAxOCAxOCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPGcgY2xpcC1wYXRoPSJ1cmwoI2NsaXAwXzM2Ml80NTYpIj4KPHBhdGggZD0iTTguNDM3NSAxNy40Mzc1SDE3LjQzNzVWMC41NjI1SDAuNTYyNVY5LjU2MjUiIHN0cm9rZT0iYmxhY2siIHN0cm9rZS1taXRlcmxpbWl0PSIxMCIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjxwYXRoIGQ9Ik03LjMxMjUgMTUuNzVWMTAuNjg3NU03LjMxMjUgMTAuNjg3NUgyLjI1TTcuMzEyNSAxMC42ODc1TDAuNTYyNSAxNy40Mzc1IiBzdHJva2U9ImJsYWNrIiBzdHJva2UtbWl0ZXJsaW1pdD0iMTAiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8L2c+CjxkZWZzPgo8Y2xpcFBhdGggaWQ9ImNsaXAwXzM2Ml80NTYiPgo8cmVjdCB3aWR0aD0iMTgiIGhlaWdodD0iMTgiIGZpbGw9IndoaXRlIi8+CjwvY2xpcFBhdGg+CjwvZGVmcz4KPC9zdmc+Cg==");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  top: calc(50% + 1px);
  right: 4px;
  transform: translateY(-50%);
}

/* 左側に矢印 */
.u-link-leftArrow {
  line-height: 1.5;
  display: inline-block;
  position: relative;
  padding-left: calc(1.5em + 4px);
}

.u-link-leftArrow::after {
  content: "";
  display: inline-block;
  width: 1.5em;
  height: 1.5em;
  background-image: url("../images/icon_arrow_left_bk.svg");
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  top: calc(50%);
  left: 0;
  transform: translateY(-50%);
}
